Update OrgUser - m3ter Documentation

Update OrgUser

cURL

curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "permissionPolicy": [
    {
      "action": [],
      "resource": [
        "<string>"
      ]
    }
  ],
  "dtEndAccess": "2023-11-07T05:31:56Z"
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/users/{id}"

payload = {
    "version": 123,
    "permissionPolicy": [
        {
            "action": [],
            "resource": ["<string>"]
        }
    ],
    "dtEndAccess": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    permissionPolicy: [{action: [], resource: ['<string>']}],
    dtEndAccess: '2023-11-07T05:31:56Z'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/users/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/users/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'version' => 123,
    'permissionPolicy' => [
        [
                'action' => [],
                'resource' => ['<string>']
        ]
    ],
    'dtEndAccess' => '2023-11-07T05:31:56Z'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/users/{id}"

payload := strings.NewReader("{\n  \"version\": 123,\n  \"permissionPolicy\": [\n    {\n      \"action\": [],\n      \"resource\": [\n        \"<string>\"\n      ]\n    }\n  ],\n  \"dtEndAccess\": \"2023-11-07T05:31:56Z\"\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Responses

200

{
  "id": "<string>",
  "version": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "contactNumber": "<string>",
  "email": "<string>",
  "organizations": ["<string>"],
  "firstAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
  "lastAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
  "supportUser": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "permissionPolicy": [
    {
      "action": [],
      "resource": ["<string>"]
    }
  ],
  "dtEndAccess": "2023-11-07T05:31:56Z"
}

Error Responses

{
  "message": "<string>"
}